
Installer - Bug #31022

Puppet package ensure in pre hook is not isolated

10/07/2020 05:30 PM - Ewoud Kohl van Wijngaarden

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 2.1.3

Bugzilla link: 2119303 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/584,

https://github.com/theforeman/foreman-i

nstaller/pull/585

  

Description

https://community.theforeman.org/t/puppet-with-splay-true/20777

When there's splay=true in /etc/puppetlabs/puppet/puppet.conf, puppet apply waits a random period (up to 30 minutes). Kafo deals

with this by using --config=/tmp/.../puppet.conf which is generated in the ExecutionEnvironment. The boot hook apply_puppet_code

does not use this which causes the host's puppet.conf to take effect. This can lead to much longer installer times where it just sleeps.

History

#1 - 10/07/2020 05:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/584 added

#2 - 10/07/2020 08:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/585 added

#3 - 08/18/2022 09:57 AM - Ewoud Kohl van Wijngaarden

- Bugzilla link set to 2119303
